首页 -> 安全研究

安全研究

安全漏洞
Linux kernel rwsem_down_write_slowpath释放后重利用漏洞 (CVE-2019-19318)

发布日期:2019-11-27
更新日期:2019-12-02

受影响系统:
Linux kernel 5.3.11
Linux kernel 5.0.21
描述:
CVE(CAN) ID: CVE-2019-19318

Linux kernel是开源操作系统Linux所使用的内核。

Linux kernel 5.3.11版本在多次加载构造的btrfs图形时,‘rwsem_can_spin_on_owner’函数存在释放后重利用漏洞。该漏洞源于rwsem_owner_flags返回已经释放后的指针。成功利用后可能导致数据破坏,拒绝服务,未授权代码执行等。

<*来源:vendor
  *>

建议:
厂商补丁:

Linux
-----
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

https://github.com/bobfuzzer/CVE/tree/master/CVE-2019-19318

浏览次数:232
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障